/////////////////////////////////////////////////////////////////
// High precision timer class.
// Used for implementing CPU time based animation control.
// Version: 090112_01
/////////////////////////////////////////////////////////////////

#ifndef _TIMER_H_
#define _TIMER_H_

#include <Windows.h>

class Timer
{
//Methods
public:
	Timer(){};
	~Timer(){};

private:

//Data members
public:

	void Init();
	void Update();

	inline float GetTime(){return -m_frameTime;}

private:
	INT64 m_frequency;
	float m_ticksPerMs;
	INT64 m_startTime;
	float m_frameTime;
};

#endif